<?php
if ( ! function_exists( 'speedy_featured_slider_array' ) ) :
    /**
     * Featured Slider array creation
     *
     * @since Speedy 1.0.0
     *
     * @param string $from_slider
     * @return array
     */
    function speedy_featured_slider_array( $from_slider ){
        global $speedy_customizer_all_values;
        $speedy_feature_slider_number = absint( $speedy_customizer_all_values['speedy-featured-slider-number'] );
        $speedy_feature_slider_single_words = absint( $speedy_customizer_all_values['speedy-featured-slider-content-words'] );
        $speedy_feature_slider_contents_array[0]['speedy-feature-slider-title'] = __('Welcome to speedy','speedy');
        $speedy_feature_slider_contents_array[0]['speedy-feature-slider-content'] = __('Unlike other companies, we do not charge hundreds of dollars per theme.','speedy');
        $speedy_feature_slider_contents_array[0]['speedy-feature-slider-link'] = '#';
        $speedy_feature_slider_contents_array[0]['speedy-feature-slider-image'] = get_template_directory_uri()."/assets/img/slider.jpg";
        $repeated_page = array('speedy-fearured-section-pages-ids');
        $speedy_feature_slider_args = array();

        if ( 'from-category' ==  $from_slider ){
            $speedy_feature_slider_category = $speedy_customizer_all_values['speedy-featured-slider-category'];
            if( 0 != $speedy_feature_slider_category ){
                $speedy_feature_slider_args =    array(
                    'post_type' => 'post',
                    'cat' => $speedy_feature_slider_category,
                    'ignore_sticky_posts' => true
                );
            }
        }
        else{
            $speedy_feature_slider_posts = evision_customizer_get_repeated_all_value(3 , $repeated_page);
            $speedy_feature_slider_posts_ids = array();
            if( null != $speedy_feature_slider_posts ) {
                foreach( $speedy_feature_slider_posts as $speedy_feature_slider_post ) {
                    if( 0 != $speedy_feature_slider_post['speedy-fearured-section-pages-ids'] ){
                        $speedy_feature_section_posts_ids[] = $speedy_feature_slider_post['speedy-fearured-section-pages-ids'];
                    }
                }

                if( !empty( $speedy_feature_section_posts_ids )){
                    $speedy_feature_slider_args =    array(
                        'post_type' => 'page',
                        'post__in' => $speedy_feature_section_posts_ids,
                        'posts_per_page' => $speedy_feature_slider_number,
                        'orderby' => 'post__in'
                    );
                }

            }
        }
        if( !empty( $speedy_feature_slider_args )){
            // the query
            $speedy_fature_section_post_query = new WP_Query( $speedy_feature_slider_args );

            if ( $speedy_fature_section_post_query->have_posts() ) :
                $i = 0;
                while ( $speedy_fature_section_post_query->have_posts() ) : $speedy_fature_section_post_query->the_post();
                    $url ='';
                    if(has_post_thumbnail()){
                        $thumb = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'speedy-home-main-slider' );
                        $url = $thumb['0'];
                    }
                    $speedy_feature_slider_contents_array[$i]['speedy-feature-slider-title'] = get_the_title();
                    $speedy_feature_slider_contents_array[$i]['speedy-feature-slider-content'] = speedy_words_count( $speedy_feature_slider_single_words ,get_the_content());;
                    $speedy_feature_slider_contents_array[$i]['speedy-feature-slider-link'] = get_permalink();
                    $speedy_feature_slider_contents_array[$i]['speedy-feature-slider-image'] = $url;
                    $i++;
                endwhile;
                wp_reset_postdata();
            endif;
        }
        return $speedy_feature_slider_contents_array;
    }
endif;

if ( ! function_exists( 'speedy_featured_home_slider' ) ) :
    /**
     * Featured Slider
     *
     * @since speedy 1.0.0
     *
     * @param null
     * @return null
     *
     */
    function speedy_featured_home_slider() { 
        global $speedy_customizer_all_values;

        if( 1 != $speedy_customizer_all_values['speedy-feature-section-enable'] ){
            return null;
        }
        $speedy_feature_slider_selection_options = $speedy_customizer_all_values['speedy-featured-slider-selection'];
        $speedy_slider_arrays = speedy_featured_slider_array( $speedy_feature_slider_selection_options );


        if( is_array( $speedy_slider_arrays )){
        $speedy_feature_slider_number = absint( $speedy_customizer_all_values['speedy-featured-slider-number'] );
        $speedy_feature_slider_mode = $speedy_customizer_all_values['speedy-fs-slider-mode'];
        $speedy_feature_slider_time = $speedy_customizer_all_values['speedy-fs-slider-time'];
        $speedy_feature_slider_pause_time = $speedy_customizer_all_values['speedy-fs-slider-pause-time'];
        $speedy_feature_enable_arrow = $speedy_customizer_all_values['speedy-fs-enable-arrow'];
        $speedy_feature_enable_pager = $speedy_customizer_all_values['speedy-fs-enable-pager'];
        $speedy_feature_enable_autoplay = $speedy_customizer_all_values['speedy-fs-enable-autoplay'];
        $speedy_feature_enable_title = $speedy_customizer_all_values['speedy-fs-enable-title'];
        $speedy_feature_enable_caption = $speedy_customizer_all_values['speedy-fs-enable-caption'];
        $speedy_feature_enable_button = $speedy_customizer_all_values['speedy-home-slider-button-enable'];
        $speedy_feature_button_text = $speedy_customizer_all_values['speedy-home-slider-button-text'];

    ?>
    <section class="evision-wrapper wrapper-slider">
        <?php if( 1 == $speedy_feature_enable_arrow){ ?>
            <div class="controls">
                <a href="#" id="speedy-prev"><i class="fa fa-angle-left"></i></a> 
                <a href="#" id="speedy-next"><i class="fa fa-angle-right"></i></a>
            </div>
        <?php }  ?>

        <div class="container-fluid">
            <div class="cycle-slideshow"
            data-cycle-fx=<?php echo esc_attr( $speedy_feature_slider_mode);?>
            data-cycle-speed="<?php echo (esc_attr( $speedy_feature_slider_time) * 1000)?>"
            data-cycle-carousel-fluid=true
            data-cycle-carousel-visible=1
            data-cycle-pause-on-hover="true"
            data-cycle-slides="> div"
            data-cycle-prev="#speedy-prev"
            data-cycle-next="#speedy-next"
            data-cycle-auto-height=container
            <?php if( 1 == $speedy_feature_enable_pager){ ?>
                data-cycle-pager="#speedy-pager"
            <?php }  ?>
            <?php if( 1 != $speedy_feature_enable_autoplay){ ?>
                data-cycle-timeout=0
            <?php }  ?>
            <?php if(1 == $speedy_feature_enable_autoplay){ ?>
                data-cycle-timeout=<?php echo (esc_attr( $speedy_feature_slider_pause_time) * 1000)?>
            <?php }  ?>
            >
                <?php
                $i = 1;
                foreach( $speedy_slider_arrays as $speedy_slider_array ){
                    if( $speedy_feature_slider_number < $i){
                        break;
                    }
                    if(empty($speedy_slider_array['speedy-feature-slider-image'])){
                        $speedy_feature_slider_image = get_template_directory_uri().'/assets/img/no-image-1260_530.png';
                    }
                    else{
                        $speedy_feature_slider_image =$speedy_slider_array['speedy-feature-slider-image'];
                    }
                    ?>
                    <div class="slide-item">
                        <div class="container-fluid" style="background-image: url('<?php echo esc_url( $speedy_feature_slider_image )?>');">
                            <div class="row">
                                <div class="col-xs-10 col-sm-10 col-md-6 col-xs-offset-1 col-sm-offset-1 col-md-offset-3 banner-content">
                                    <?php if ((1 == $speedy_feature_enable_title) || (1 == $speedy_feature_enable_caption) || ( 1 == $speedy_feature_enable_button)){?>
                                        <div class="banner-content-holder">
                                            <div class="banner-content-inner">
                                                <?php if( 1 == $speedy_feature_enable_title) {
                                                    ?>
                                                        <h1 class="slider-title"><a href="<?php echo esc_url( $speedy_slider_array['speedy-feature-slider-link'] );?>"><?php echo esc_html( $speedy_slider_array['speedy-feature-slider-title'] );?></a></h1>
                                                    <?php
                                                }
                                                if( 1 == $speedy_feature_enable_caption){
                                                    ?>
                                                    <div class="text-content">
                                                        <?php echo wp_kses_post( $speedy_slider_array['speedy-feature-slider-content'] );?>
                                                    </div>
                                                    <?php
                                                }

                                                if ( 1 == $speedy_feature_enable_button){ ?>
                                                    <div class="btn-holder"><a href="<?php echo esc_url( $speedy_slider_array['speedy-feature-slider-link'] );?>" class="button"><?php echo esc_html( $speedy_customizer_all_values['speedy-home-slider-button-text'] );?> <i class="fa fa-angle-double-right"></i></a></div>
                                                <?php } ?>
                                            </div>
                                        </div>
                                    <?php } ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php
                $i++;
                }
                ?>
            </div>
        </div>
        <div class="cycle-pager" id="speedy-pager"></div>
    </section>
    <?php
        }
    }
endif;
add_action( 'speedy_action_slider', 'speedy_featured_home_slider', 25 );